ANSIBLE-GALAXY(1)

NAME
ansible-galaxy - manage roles using galaxy.ansible.com

SYNOPSIS

ansible-galaxy [init|info|install|list|remove] [--help] [options] ...

DESCRIPTION

Ansible Galaxy is a shared repository for Ansible roles (added in ansible version 1.2). The ansible-galaxy command can be used to manage these roles, or by creating a skeleton framework for roles you’d like to upload to Galaxy.

COMMON OPTIONS

-h, --help
    Show a help message related to the given sub-command.

INSTALL

The install sub-command is used to install roles.

  USAGE

$ ansible-galaxy install [options] [-r FILE | role_name(s)[,version] | tar_file(s)]

Roles can be installed in several different ways:

    • A username.rolename[,version] - this will install a single role. The Galaxy API will be contacted to provide the information about the role, and the corresponding .tar.gz will be downloaded from github.com. If the version is omitted, the most recent version available will be installed.

    • A file name, using -r - this will install multiple roles listed one per line. The format of each line is the same as above: username.rolename[,version]

    • A .tar.gz of a valid role you’ve downloaded directly from github.com. This is mainly useful when the system running Ansible does not have access to the Galaxy API, for instance when behind a firewall or proxy.

  OPTIONS

-f, --force
    Force overwriting an existing role.

-i, --ignore-errors
    Ignore errors and continue with the next specified role.

-n, --no-deps
    Don’t download roles listed as dependencies.

-p ROLES_PATH, --roles-path=ROLES_PATH
    The path to the directory containing your roles. The default is the roles_path configured in your ansible.cfg file (/etc/ansible/roles if not configured)

-r ROLE_FILE, --role-file=ROLE_FILE
    A file containing a list of roles to be imported, as specified above. This option cannot be used if a rolename or .tar.gz have been specified.

REMOVE

The remove sub-command is used to remove one or more roles.

  USAGE

$ ansible-galaxy remove role1 role2 ...

  OPTIONS

-p ROLES_PATH, --roles-path=ROLES_PATH
    The path to the directory containing your roles. The default is the roles_path configured in your ansible.cfg file (/etc/ansible/roles if not configured)

INIT

The init command is used to create an empty role suitable for uploading to https://galaxy.ansible.com (or for roles in general).

  USAGE

$ ansible-galaxy init [options] role_name

  OPTIONS

-f, --force
    Force overwriting an existing role.

-p INIT_PATH, --init-path=INIT_PATH
    The path in which the skeleton role will be created.The default is the current working directory.

--offline
    Don’t query the galaxy API when creating roles

LIST

The list sub-command is used to show what roles are currently instaled. You can specify a role name, and if installed only that role will be shown.

  USAGE

$ ansible-galaxy list [role_name]

  OPTIONS

-p ROLES_PATH, --roles-path=ROLES_PATH
    The path to the directory containing your roles. The default is the roles_path configured in your ansible.cfg file (/etc/ansible/roles if not configured)

AUTHOR

Ansible was originally written by Michael DeHaan. See the AUTHORS file for a complete list of contributors.

COPYRIGHT

Copyright © 2014, Michael DeHaan

Ansible is released under the terms of the GPLv3 License.

SEE ALSO

ansible(1), ansible-pull(1), ansible-doc(1)

Extensive documentation is available in the documentation site: http://docs.ansible.com. IRC and mailing list info can be found in file CONTRIBUTING.md, available in: https://github.com/ansible/ansible